<?php
function internet_services_primary($items = array()) {
  $url = 'http';
  if ($_SERVER['HTTPS']=='on')
    $url .=  's';
  $url .=  '://';
  if ($_SERVER['SERVER_PORT']!='80')
    $url .=  $_SERVER['HTTP_HOST'].':'.$_SERVER['SERVER_PORT'].base_path();
  else
    $url .=  $_SERVER['HTTP_HOST'].base_path();
  if ($_SERVER['QUERY_STRING']>' ')
    $url .=  '?'.$_SERVER['QUERY_STRING'];

  $output = '<ul>';
  if (!empty($items)) {
    foreach ($items as $item) {
      preg_match("/<a\s*.*?href\s*=\s*['\"]([^\"'>]*).*?>(.*?)<\/a>/i", $item, $matches);
      if ($url == $matches[1]) {
        $output .= '<li class="active">'. $item .'</li>';
      } else {
        $output .= '<li>'. $item .'</li>';
      }
    }
  }
  $output .= '</ul>';
  return $output;
}

function internet_services_regions() {
  return array(
    'right' => t('right sidebar'),
    'content' => t('content'),
    'header' => t('header'),
    'footer' => t('footer'),
    'hidden' => t('hidden'),
  );
}
?>
